API referenceAnalytics

GET /analytics/posting-frequency

Calendar weeks grouped by how many posts were published, with the average engagement and engagement rate of their posts

GET
/analytics/posting-frequency

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

profileId?string

Only this profile

platform?string

Only this platform

accountId?string

Only this account

source?string

Posts published through Postgale (late is Zernio's name) or imported from the platform

Value in"postgale""late""external"
fromDate?string

First day, YYYY-MM-DD (default: 365 days ago)

toDate?string

Last day, YYYY-MM-DD (default: today)

Response Body

{frequency}

application/json
  1. response
frequency?array<>
Example Request
curl -X GET 'https://example.com/api/v1/analytics/posting-frequency'
Example Response
{  "frequency": [    {      "platform": "string",      "posts_per_week": 0,      "avg_engagement_rate": 0,      "avg_engagement": 0,      "weeks_count": 0    }  ]}